<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('social_media', function (Blueprint $table): void {
            $table->id();
            $table->string('code')->unique();
            $table->string('icon');
            $table->string('name');
            $table->timestamps();
        });

        Schema::create('tenant_social_media', function (Blueprint $table): void {
            $table->id();
            $table->string('tenant_code');
            $table->string('social_media_code');
            $table->string('url');
            $table->timestamps();

            $table->foreign('tenant_code')
                ->references('codigo')
                ->on('tenants')
                ->cascadeOnDelete();
            $table->foreign('social_media_code')
                ->references('code')
                ->on('social_media')
                ->cascadeOnDelete();
            $table->unique(['tenant_code', 'social_media_code']);
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('tenant_social_media');
        Schema::dropIfExists('social_media');
    }
};
